Subject: RE: [MIB-DOCTORS] RFC 4181 Update to Recognize the IETF Trust

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Tue, 31 Oct 2006 17:29:08 +0200

Mike,

Thanks for proposing this. 

1. If by naming the I-D draft-ietf-ops-rfc4181-update-00.txt you want to
acknowledge that it is an OPS area document, you should announce this on
[email-masked]. 
2. Add to the header 'Updates RFC4181 (if approved)'

We can give it a fast run as AD-sponsored document and publish it as a
BCP. Dave Harrington plans to do a similar thing with the MIB template
document (also updated as per 4748). 

Dan

> -----Original Message-----
> From: C. M. Heard [mailto:[email-masked]] 
> Sent: Tuesday, October 31, 2006 4:48 PM
> To: MIB Doctors
> Subject: [MIB-DOCTORS] RFC 4181 Update to Recognize the IETF Trust
> 
> MIB Doctors,
> 
> Section 3.7 of the MIB review guidelines became obsolete with 
> the recent updates to copyright notices published in RFC RFC 
> 4748 and announced in a message forwarded to this list on 
> October 27.  Attached below is a "delta document" to RFC 4181 
> that will bring it into alignment with the recent 
> announcement.  If there is general agreement with the 
> content, I propose to submit it as 
> <draft-ietf-ops-rfc4181-update-00.txt> when the I-D 
> submission blackout ends.
> 
> Regards,
> 
> Mike Heard
> 
> --cut here--
> 
> INTERNET-DRAFT                                       C. M. 
> Heard, Editor
>                                                             
> <month> 2006
> 
>               RFC 4181 Update to Recognize the IETF Trust
> 
>                       <insert file name here>
> 
> Status of this Memo
> 
>    By submitting this Internet-Draft, each author represents that any
>    applicable patent or other IPR claims of which he or she is aware
>    have been or will be disclosed, and any of which he or she becomes
>    aware will be disclosed, in accordance with Section 6 of BCP 79.
> 
>    Internet-Drafts are working documents of the Internet Engineering
>    Task Force (IETF), its areas, and its working groups.  Note that
>    other groups may also distribute working documents as Internet-
>    Drafts.
> 
>    Internet-Drafts are draft documents valid for a maximum of 
> six months
>    and may be updated, replaced, or obsoleted by other 
> documents at any
>    time.  It is inappropriate to use Internet-Drafts as reference
>    material or to cite them other than as "work in progress."
> 
>    The list of current Internet-Drafts can be accessed at
>    http://www.ietf.org/ietf/1id-abstracts.txt.
> 
>    The list of Internet-Draft Shadow Directories can be accessed at
>    http://www.ietf.org/shadow.html.
> 
>    This Internet-Draft will expire on <insert expiration date here>.
> 
> Copyright Notice
> 
>    Copyright (C) The IETF Trust (2006).
> 
> Abstract
> 
>    This document updates RFC 4181, "Guidelines for Authors 
> and Reviewers
>    of MIB Documents", to recognize the creation of the IETF Trust.
> 
> 1.  Introduction
> 
>    In order to reflect the creation of the IETF Trust, certain updates
>    to the copyright notices required in IETF documents by RFC 3978
>    [RFC3978] have been published in RFC 4748 [RFC4748].  This document
>    updates RFC 4181 [RFC4181] to bring it into alignment with those
>    changes.
> 
> 2.  Updates to RFC 4181
> 
>    The text of RFC 4181 is hereby updated as set forth below 
> to reflect
>    the creation of the IETF Trust.
> 
> 2.1.  Updates to Section 3.7
> 
>    In the copyright notice templates in Section 3.7, replace all
>    occurrences of "The Internet Society" with "The IETF Trust".
> 
> 3.  Security Considerations
> 
>    The updates in this document have no impact in the security of the
>    Internet.
> 
> 4.  IANA Considerations
> 
>    The updates in this document have no impact on the IANA.
> 
> 5.  References
> 
> 5.1.  Normative References
> 
>    [RFC3978]       Bradner, S., Ed., "IETF Rights in Contributions",
>                    BCP 78, RFC 3978, March 2005.
> 
>    [RFC4748]       Bradner, S., Ed., " RFC 3978 Update to 
> Recognize the
>                    IETF Trust", BCP 78, RFC 4748, October 2006.
> 
>    [RFC4181]       Heard, C., Ed., "Guidelines for Authors 
> and Reviewers
>                    of MIB Documents", BCP 111, RFC 4181, 
> September 2005.
> 
> Editor's Address
> 
>    C. M. Heard
>    158 South Madison Ave. #207
>    Pasadena, CA 91101-2569
>    USA
> 
>    Phone: +1 626 795 5311
>    EMail: [email-masked]
> 
> Intellectual Property Statement
> 
>    The IETF takes no position regarding the validity or scope of any
>    Intellectual Property Rights or other rights that might be 
> claimed to
>    pertain to the implementation or use of the technology described in
>    this document or the extent to which any license under such rights
>    might or might not be available; nor does it represent that it has
>    made any independent effort to identify any such rights.  
> Information
>    on the procedures with respect to rights in RFC documents can be
>    found in BCP 78 and BCP 79.
> 
>    Copies of IPR disclosures made to the IETF Secretariat and any
>    assurances of licenses to be made available, or the result of an
>    attempt made to obtain a general license or permission for 
> the use of
>    such proprietary rights by implementers or users of this
>    specification can be obtained from the IETF on-line IPR 
> repository at
>    http://www.ietf.org/ipr.
> 
>    The IETF invites any interested party to bring to its attention any
>    copyrights, patents or patent applications, or other proprietary
>    rights that may cover technology that may be required to implement
>    this standard.  Please address the information to the IETF at
>    [email-masked].
> 
> 
> Disclaimer of Validity
> 
>    This document and the information contained herein are 
> provided on an
>    "AS IS" basis and THE CONTRIBUTOR, THE ORGANIZATION HE/SHE 
> REPRESENTS
>    OR IS SPONSORED BY (IF ANY), THE INTERNET SOCIETY AND THE INTERNET
>    ENGINEERING TASK FORCE DISCLAIM ALL WARRANTIES, EXPRESS OR IMPLIED,
>    INCLUDING BUT NOT LIMITED TO ANY WARRANTY THAT THE USE OF THE
>    INFORMATION HEREIN WILL NOT INFRINGE ANY RIGHTS OR ANY IMPLIED
>    WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
> 
> 
> Copyright Statement
> 
>    Copyright (C) The IETF Trust (2006).
> 
>    This document is subject to the rights, licenses and restrictions
>    contained in BCP 78, and except as set forth therein, the authors
>    retain all their rights.
> 
> Acknowledgement
> 
>    Funding for the RFC Editor function is provided by the IETF
>    Administrative Support Activity (IASA).
> 
> 
> _______________________________________________
> MIB-DOCTORS mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mib-doctors
> 

_______________________________________________
MIB-DOCTORS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mib-doctors

---

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Tue, 31 Oct 2006 17:56:56 +0200

Erratum should be OK as well. idnits will be updated probably anyway to
catch this. 

Dan

> From: Juergen Schoenwaelder [mailto:[email-masked]] 
> Sent: Tuesday, October 31, 2006 5:39 PM
> To: C. M. Heard
> Cc: MIB Doctors
> Subject: Re: [MIB-DOCTORS] RFC 4181 Update to Recognize the IETF Trust
> 
> On Tue, Oct 31, 2006 at 06:48:22AM -0800, C. M. Heard wrote:
> > MIB Doctors,
> > 
> > Section 3.7 of the MIB review guidelines became obsolete with the 
> > recent updates to copyright notices published in RFC RFC 4748 and 
> > announced in a message forwarded to this list on October 
> 27.  Attached 
> > below is a "delta document" to RFC 4181 that will bring it into 
> > alignment with the recent announcement.  If there is 
> general agreement 
> > with the content, I propose to submit it as 
> I am wondering whether we really need such an RFC. The core 
> of the document seems to be:
> 
> Can we not just post an RFC erratum and move on? (People who 
> do not find the erratum will likely also not find the new RFC 
> and building a tool which checks for and warns about the 
> string "Internet Society" in MIB modules should be trivial to do . ;-)
> 
> /js
> 
> -- 
> Juergen Schoenwaelder		    International University Bremen
> <http://www.eecs.iu-bremen.de/>	    P.O. Box 750 561, 
> 28725 Bremen, Germany
>